package com.boman.system.api;

import com.boman.common.core.constant.ServiceNameConstants;
import com.boman.domain.SysRoleData;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * @author shiqian
 * @date 2021年04月07日 10:31
 **/
@FeignClient(contextId = "remoteRoleDataService", value = ServiceNameConstants.SYSTEM_SERVICE)
public interface RemoteRoleDataService {

    /**
     * 功能描述: 根据userId查找此人的所有菜单
     *
     * @param idList idList
     * @return java.util.List<com.boman.system.api.domain.SysMenu>
     */
    @PostMapping(value = "/roleData/listByRoleIdList")
    List<SysRoleData> listByRoleIdList(@RequestBody List<Long> idList);
}

