package com.boman.gen.controller;

import com.boman.common.core.utils.obj.ObjectUtils;
import com.boman.common.core.web.controller.BaseController;
import com.boman.common.core.web.domain.AjaxResult;
import com.boman.common.redis.RedisKey;
import com.boman.common.redis.service.RedisService;
import com.boman.domain.constant.FormDataConstant;
import com.boman.domain.GenTable;
import com.boman.domain.GenTableColumn;
import com.boman.domain.GenTableRelation;
import com.boman.gen.service.IGenTableColumnService;
import com.boman.gen.service.IGenTableRelationService;
import com.boman.gen.service.IGenTableService;
import com.boman.gen.service.ILoadTableServer;
import com.google.common.collect.Lists;
import com.google.common.collect.Maps;
import org.apache.commons.collections4.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.Comparator;
import java.util.List;
import java.util.Map;
import java.util.concurrent.TimeUnit;
import java.util.stream.Collectors;

import static com.boman.common.core.utils.obj.ObjectUtils.requireNonNull;

/**
 * @author shiqian
 * @description 获取gen_table
 * @date 2021年03月17日 16:44
 **/
@RestController
@RequestMapping("/init")
public class LoadTableController extends BaseController {
    @Autowired
    private ILoadTableServer loadTableServer;

    /**
     * 功能描述: 查询代码生成列表，table中封装columnList
     *
     * @param genTable 查询条件
     * @return AjaxResult
     */
    @GetMapping("/loadTable")
    public AjaxResult loadTable(GenTable genTable) {
        return loadTableServer.loadTable(genTable);
    }

    /**
     * 手动更新redis缓存表数据
     *
     * @Description
     * @author tjf
     * @Date 2021/3/29
     */
    public AjaxResult updateRedisTable() {
       return loadTableServer.updateRedisTable();
    }
}
