package com.boman.system.service.impl;

import com.boman.system.domain.SysRoleMenu;
import com.boman.system.mapper.SysRoleMenuMapper;
import com.boman.web.core.api.RemoteObjService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

import static com.boman.common.core.utils.obj.ObjectUtils.isEmpty;

/**
 * @author shiqian
 * @date 2021年04月27日 14:34
 **/
@Service
public class SysRoleMenuServiceImpl implements ISysRoleMenuService{

    private static final Logger LOGGER = LoggerFactory.getLogger(SysRoleMenuServiceImpl.class);

    @Resource
    private SysRoleMenuMapper mapper;
    @Resource
    private RemoteObjService remoteObjService;
    /**
     * 功能描述: 批量保存roleMenu
     *
     * @param roleMenuList roleMenuList
     * @return int
     */
    @Override
    public int saveList(List<SysRoleMenu> roleMenuList) {
        if (isEmpty(roleMenuList)) {
            return 0;
        }

        for (SysRoleMenu sysRoleMenu : roleMenuList) {
            Long maxId = remoteObjService.getMaxId("sys_role_menu", "id");
            sysRoleMenu.setId(maxId);
        }

        return mapper.batchRoleMenu(roleMenuList);
    }
}
